org.springframework.web.reactive.socket.adapter

## Class ReactorNettyWebSocketSession.WebSocketConnection

- java.lang.Object
- - org.springframework.web.reactive.socket.adapter.ReactorNettyWebSocketSession.WebSocketConnection

Enclosing class:
  ReactorNettyWebSocketSession

    public static class ReactorNettyWebSocketSession.WebSocketConnection
    extends Object

Simple container for `NettyInbound` and `NettyOutbound`.

### Constructor Summary

Constructors
Constructor and Description
`WebSocketConnection(reactor.netty.http.websocket.WebsocketInbound inbound, reactor.netty.http.websocket.WebsocketOutbound outbound)`

### Method Summary

All Methods Instance Methods Concrete Methods
`reactor.netty.http.websocket.WebsocketInbound` `getInbound()`
`reactor.netty.http.websocket.WebsocketOutbound` `getOutbound()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocketConnection

    public WebSocketConnection(reactor.netty.http.websocket.WebsocketInbound inbound,
                               reactor.netty.http.websocket.WebsocketOutbound outbound)

### Method Detail

#### getInbound

    public reactor.netty.http.websocket.WebsocketInbound getInbound()

#### getOutbound

    public reactor.netty.http.websocket.WebsocketOutbound getOutbound()